Subject: Re: bug#7517: 24.0.50; repeated crash under Mac OS X

From: emacs user <[email-masked]>
Date: Thu, 30 Dec 2010 16:20:40 +0200

sorry, still crashes with the same error message, I think, see
attached.  best, E

On Thu, Dec 30, 2010 at 1:35 PM, Jan Djärv <[email-masked]> wrote:
>
>
> emacs user skrev 2010-12-29 17.06:
>>
>> regarding the locale, I am not sure what that means exactly, but these
>> were originally hebrew characters that were somehow not correctly
>> stored by vm/emacs and turned into the characters I mentioned.  I hope
>> to be able to produce a detailed bug report on that problem as well...
>>  hope this helps
>
> Locale in this context means the character set and language environment you
> are using.
>
>>
>> On Wed, Dec 29, 2010 at 5:41 PM, Stefan Monnier
>> <[email-masked]>  wrote:
>>>>
>>>> What I see is that the X code does ENCODE_UTF_8, and W32 does
>>>> ENCODE_SYSTEM
>>>> before passing the string to the platform title setting function.  NS
>>>> does
>>>> nothing.  Can this be the problem?
>>>
>>> Possibly.  Maybe ENCODE_UTF_8 would fix the problem.
>>>
>
> Ok, I added ENCODE_UTF_8.  Can you tru the latest trunk and see if this
> fixes it?
>
> Thanks,
>
>        Jan D.
>